#
# spec file for package disorderfs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           disorderfs
Version:        0.5.2
Release:        bp153.1.15
Summary:        FUSE filesystem that introduces non-determinism
License:        GPL-3.0+
Group:          Development/Tools/Building
Url:            https://packages.debian.org/sid/disorderfs
Source0:        https://reproducible.alioth.debian.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source1:        https://reproducible.alioth.debian.org/releases/%{name}/%{name}-%{version}.tar.bz2.asc
Source2:        %{name}.keyring
BuildRequires:  asciidoc
BuildRequires:  gcc-c++
BuildRequires:  libattr-devel
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(fuse)
Requires:       fuse

%description
disorderfs is an overlay FUSE filesystem that introduces non-determinism into
filesystem metadata. For example, it can randomize the order in which
directory entries are read. This is useful for detecting non-determinism
in the build process.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}

%files
%doc COPYING README NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Mon Jan  1 2018 avindra@opensuse.org
- update to 0.5.2
  * Add -q, --quiet options to avoid printing to stdout.
- cleanup with spec-cleaner
* Mon Jul 10 2017 bwiedemann@suse.com
- Use nicer upstream tarball and verify signature
* Thu Jul  6 2017 bwiedemann@suse.com
- fix build for Leap 42.1
* Mon Jul  3 2017 bwiedemann@suse.com
- Initial package version 0.5.1
